> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maadify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Parent Agent Prompt Variables

> List prompt variables exposed by tools assigned to a parent agent.



## OpenAPI

````yaml /api-reference/openapi.json get /api/parent_agents/{parent_agent_id}/prompt_variables
openapi: 3.1.0
info:
  title: Maadify API
  description: Public and admin API endpoints for Maadify.
  version: 1.0.0
servers:
  - url: https://app.maadify.com
    description: Production
security: []
tags:
  - name: Parent agents
    description: Create, update, and configure parent agents.
  - name: Sub-agents
    description: Create sub-agents and assign them to parent agents.
  - name: Tools
    description: Search tools and manage tool assignments.
  - name: Prompt templates
    description: Search and manage prompt templates.
  - name: Users
    description: Search users available to the authenticated tenant.
  - name: Models
    description: Search available LLM models.
  - name: Files
    description: Check file upload status.
paths:
  /api/parent_agents/{parent_agent_id}/prompt_variables:
    get:
      tags:
        - Parent agents
      summary: Get Parent Agent Prompt Variables
      description: List prompt variables exposed by tools assigned to a parent agent.
      operationId: >-
        get_parent_agent_prompt_variables_api_parent_agents__parent_agent_id__prompt_variables_get
      parameters:
        - name: parent_agent_id
          in: path
          required: true
          schema:
            type: integer
            title: Parent Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ParentAgentPromptVariablesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    ParentAgentPromptVariablesResponse:
      properties:
        success:
          type: boolean
          title: Success
          description: Whether the request was successful.
        error_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Type
          description: Type of error if the request failed.
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
          description: Error message or informational message.
        data:
          $ref: '#/components/schemas/ParentAgentPromptVariablesData'
          description: Parent agent prompt variables.
      type: object
      required:
        - success
        - data
      title: ParentAgentPromptVariablesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ParentAgentPromptVariablesData:
      properties:
        prompt_variables:
          $ref: '#/components/schemas/ParentAgentPromptVariables'
          description: Prompt variables exposed by tools assigned to the parent agent.
      type: object
      title: ParentAgentPromptVariablesData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ParentAgentPromptVariables:
      properties:
        inputs:
          items:
            type: string
          type: array
          title: Inputs
          description: Built-in input prompt variable names.
        system:
          items:
            type: string
          type: array
          title: System
          description: System prompt variable names.
        tool_model:
          items:
            $ref: '#/components/schemas/PromptVariableToolModel'
          type: array
          title: Tool Model
          description: Tool model prompt variables.
        tool_config:
          items:
            $ref: '#/components/schemas/PromptVariableToolConfig'
          type: array
          title: Tool Config
          description: Tool configuration prompt variables.
        trigger_inputs:
          items:
            type: string
          type: array
          title: Trigger Inputs
          description: Trigger input prompt variable names.
        context_variables:
          items:
            $ref: '#/components/schemas/PromptVariableContextVariable'
          type: array
          title: Context Variables
          description: State-function context variables available to prompts.
        example_variable_inputs:
          $ref: '#/components/schemas/PromptVariableExamples'
          description: Example values used to render prompt templates.
      type: object
      title: ParentAgentPromptVariables
    PromptVariableToolModel:
      properties:
        connector_name:
          type: string
          title: Connector Name
          description: Connector key used by the tool.
          default: ''
        custom_connection_name:
          type: string
          title: Custom Connection Name
          description: Tenant-specific connection display name.
          default: ''
        connector_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Connector Id
          description: Connector settings ID.
        tool_name:
          type: string
          title: Tool Name
          description: Tool key.
          default: ''
        tool_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tool Id
          description: Agent tool ID.
        custom_tool_name:
          type: string
          title: Custom Tool Name
          description: Tenant-specific tool name override.
          default: ''
        input_schema:
          type: boolean
          title: Input Schema
          description: Whether the tool exposes an input schema prompt variable.
          default: false
        input_example:
          type: boolean
          title: Input Example
          description: Whether the tool exposes an input example prompt variable.
          default: false
        output_example:
          type: boolean
          title: Output Example
          description: Whether the tool exposes an output example prompt variable.
          default: false
        output_schema:
          type: boolean
          title: Output Schema
          description: Whether the tool exposes an output schema prompt variable.
          default: false
      type: object
      title: PromptVariableToolModel
    PromptVariableToolConfig:
      properties:
        connector_name:
          type: string
          title: Connector Name
          description: Connector key used by these tool configs.
          default: ''
        custom_connection_name:
          type: string
          title: Custom Connection Name
          description: Tenant-specific connection display name.
          default: ''
        connector_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Connector Id
          description: Connector settings ID.
        tools:
          items:
            $ref: '#/components/schemas/PromptVariableToolProperty'
          type: array
          title: Tools
          description: Tool configuration prompt variables grouped by tool.
      type: object
      title: PromptVariableToolConfig
    PromptVariableContextVariable:
      properties:
        key:
          type: string
          title: Key
          description: Context variable source key.
          default: ''
        display_name:
          type: string
          title: Display Name
          description: Human-readable context variable source name.
          default: ''
        source_id:
          type: string
          title: Source Id
          description: Source identifier.
          default: ''
        source_type:
          type: string
          title: Source Type
          description: Source type, such as execute_tool or sub_agent.
          default: ''
        variables:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Variables
          description: Variables available under this context source.
        example_json:
          anyOf:
            - additionalProperties: true
              type: object
            - items: {}
              type: array
          title: Example Json
          description: Example JSON for this context variable source.
      type: object
      title: PromptVariableContextVariable
    PromptVariableExamples:
      properties:
        input:
          $ref: '#/components/schemas/PromptVariableInputExample'
          description: Example input variables.
        tool_model:
          additionalProperties: true
          type: object
          title: Tool Model
          description: Example tool model variable values.
        tool_config:
          additionalProperties: true
          type: object
          title: Tool Config
          description: Example tool configuration variable values.
        trigger_inputs:
          items:
            type: string
          type: array
          title: Trigger Inputs
          description: Trigger input variable names.
      type: object
      title: PromptVariableExamples
    PromptVariableToolProperty:
      properties:
        tool_name:
          type: string
          title: Tool Name
          description: Tool key.
          default: ''
        custom_tool_name:
          type: string
          title: Custom Tool Name
          description: Tenant-specific tool name override.
          default: ''
        tool_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tool Id
          description: Agent tool ID.
        tool_properties:
          items:
            type: string
          type: array
          title: Tool Properties
          description: >-
            Non-sensitive tool configuration properties available as prompt
            variables.
      type: object
      title: PromptVariableToolProperty
    PromptVariableInputExample:
      properties:
        question:
          type: string
          title: Question
          description: Example user question.
          default: What is the capital of France?
        file_input:
          type: string
          title: File Input
          description: Example file input text.
          default: My File Content!
        trigger_example:
          anyOf:
            - additionalProperties: true
              type: object
            - items: {}
              type: array
          title: Trigger Example
          description: Example trigger payload.
        files:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Files
          description: Example file metadata.
        history:
          items:
            additionalProperties: true
            type: object
          type: array
          title: History
          description: Example message history.
      type: object
      title: PromptVariableInputExample
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````